src/base/cs_syr_coupling.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_syr_coupling.c File Reference
`#include "cs_defs.h"`
`#include <stdarg.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <assert.h>`
`#include <math.h>`
`#include <mpi.h>`
`#include <ple_coupling.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "cs_coupling.h"`
`#include "cs_parall.h"`
`#include "cs_prototypes.h"`
`#include "cs_syr4_coupling.h"`
`#include "cs_syr_coupling.h"`
Include dependency graph for cs_syr_coupling.c:

## Functions
void | nbcsyr (cs_lnum_t *n_couplings)
void | tsursy (cs_int_t *const cplnum, cs_int_t *issurf)
void | tvolsy (cs_int_t *const cplnum, cs_int_t *isvol)
void | geosyr (void)
void | nbesyr (const cs_int_t *coupl_num, const cs_int_t *mode, cs_int_t *n_coupl_elts)
void | leltsy (const cs_int_t *coupl_num, const cs_int_t *mode, cs_lnum_t *coupl_elt_list)
void | ussyrc (void)
void | varsyi (cs_int_t *numsyr, cs_int_t *mode, cs_real_t *tsolid)
void | varsyo (cs_int_t *numsyr, cs_int_t *mode, cs_int_t *lstelt, cs_real_t *tfluid, cs_real_t *hfluid)
void | ctbvsy (cs_int_t *numsyr, cs_real_t *tfluid, cs_real_t *ctbimp, cs_real_t *ctbexp)
void | cs_syr_coupling_define (const char *syrthes_name, const char *boundary_criteria, const char *volume_criteria, char projection_axis, bool allow_nonmatching, float tolerance, int verbosity, int visualization)
void | cs_syr_coupling_all_init (void)
void | cs_syr_coupling_all_finalize (void)
int | cs_syr_coupling_n_couplings (void)
void | cs_syr_coupling_set_conservativity (int flag)
void | cs_syr_coupling_set_explicit_treatment (void)

## Function Documentation

void cs_syr_coupling_all_finalize | ( | void |  | ) |

void cs_syr_coupling_all_init | ( | void |  | ) |

void cs_syr_coupling_define | ( | const char * | syrthes_name,
|  | const char * | boundary_criteria,
|  | const char * | volume_criteria,
|  | char | projection_axis,
|  | bool | allow_nonmatching,
|  | float | tolerance,
|  | int | verbosity,
|  | int | visualization
| ) |  |

int cs_syr_coupling_n_couplings | ( | void |  | ) |

void cs_syr_coupling_set_conservativity | ( | int | flag | ) |

void cs_syr_coupling_set_explicit_treatment | ( | void |  | ) |

void ctbvsy | ( | cs_int_t * | numsyr,
|  | cs_real_t * | tfluid,
|  | cs_real_t * | ctbimp,
|  | cs_real_t * | ctbexp
| ) |  |

void geosyr | ( | void |  | ) |

void leltsy | ( | const cs_int_t * | coupl_num,
|  | const cs_int_t * | mode,
|  | cs_lnum_t * | coupl_elt_list
| ) |  |

void nbcsyr | ( | cs_lnum_t * | n_couplings | ) |

void nbesyr | ( | const cs_int_t * | coupl_num,
|  | const cs_int_t * | mode,
|  | cs_int_t * | n_coupl_elts
| ) |  |

void tsursy | ( | cs_int_t *const | cplnum,
|  | cs_int_t * | issurf
| ) |  |

void tvolsy | ( | cs_int_t *const | cplnum,
|  | cs_int_t * | isvol
| ) |  |

void ussyrc | ( | void |  | ) |

void varsyi | ( | cs_int_t * | numsyr,
|  | cs_int_t * | mode,
|  | cs_real_t * | tsolid
| ) |  |

void varsyo | ( | cs_int_t * | numsyr,
|  | cs_int_t * | mode,
|  | cs_int_t * | lstelt,
|  | cs_real_t * | tfluid,
|  | cs_real_t * | hfluid
| ) |  |